Subject: bug#22781: closed (Re: bug#22781: 25.1.50; auto-fill-function gets not to work in some major-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 Feb 2016 10:35:03 +0000

Your bug report

#22781: 25.1.50; auto-fill-function gets not to work in some major-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22781: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22781
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22781: 25.1.50; auto-fill-function gets not to work in some major-mode
From: Katsumi Yamaoka <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 Feb 2016 19:34:05 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 23 Feb 2016 20:59:38 +1100, Lars Ingebrigtsen wrote:
> Oops.  I think I meant to type `setq-local', but I typed `setq-default'
> instead...

> Fixed now.

I verified that the problem has gone.  Thanks Lars!

Subject: 25.1.50; auto-fill-function gets not to work in some major-mode
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Tue, 23 Feb 2016 17:59:28 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Recipe:

$ emacs -Q
Eval: (with-temp-buffer (message-mode))

Then `auto-fill-mode' will get not to work when editing at least
a *.texi file using `texinfo-mode'.  In that case the value of
`auto-fill-function' is `message-do-auto-fill'.  This is because
`message-setup-fill-variables' sets `normal-auto-fill-function'
to `message-do-auto-fill'.  The change was made in the revono:

66d9ef95c0f9407d2a6d26bcd7ed84a303294b53

Regards,

In GNU Emacs 25.1.50.1 (i686-pc-cygwin, GTK+ Version 3.14.13)
 of 2016-02-23 built on localhost
Windowing system distributor 'The Cygwin/X Project', version 11.0.11702000
Configured using:
 'configure --with-x-toolkit=gtk3 --with-xwidgets'